
<template>
<button class="btn" @click="toggleUnderline">Click me</button>
</template>

<style>
.btn {
    text-decoration: none;
}

.underline {
    text-decoration: underline;
}
</style>

<script>
export default {
    data() {
        return {
            isClicked: false,
        };
    },
    computed: {
        buttonClass() {
            return {
                'btn': true,
                'underline': this.isClicked,
            };
        },
    },
    methods: {
        toggleUnderline() {
            this.isClicked = !this.isClicked;
        },
    },
};
</script>
